﻿@import url('https://fonts.googleapis.com/css?family=Open+Sans&display=swap');
div[id^="text"] h1, div[id^="text"] h2, div[id^="text"] h3, div[id^="text"] h4, div[id^="text"] h5, div[id^="text"] h6 {
    padding: 0px;
    font-weight: normal;
    font-family: "Open Sans", arial, sans-serif;
    font-size: 1.5rem;
    margin-block-start: 0em;
    margin-top: 0px;
    color: #09984a;
    margin-top: 2rem;
    line-height: 1.25;
}
.mhs-wrap {
    line-height: 1.5;
}
.mhs-title {
  font-size:1.75rem!important;
    line-height: 1.25;
}
.summary {
  margin-inline:1rem;
}
.table h3, .table p{
  margin-inline:1rem;
}
body, html{
	background:#eaeaea !important;
}
#pageDIV{
	background:#fff !important;
}
.pagetitle span{
	line-height:1!important;
}
input[type=radio]{
height:16px!important;
width:16px!important;
}
.autoheight{
height:auto!important;
}
.layer {
 z-index: 1000 !important;
}
.layer1, .l1 {
 z-index: 1001 !important;
}
.layer2, .l2 {
 z-index: 1002 !important;
}
.layer3, .l3  {
 z-index: 1003 !important;
}
.layer4, .l4 {
 z-index: 1004 !important;
}
.layer5 {
 z-index: 1005 !important;
}
.layer6 {
 z-index: 1006 !important;
}
.layer7 {
 z-index: 1007 !important;
}
.layer8 {
 z-index: 1008 !important;
}
.layer9 {
 z-index: 1009 !important;
}
.paragraph {
  margin-inline:1rem;
}
.media {
  background: #f0f0f0;
  padding: 1rem;
  margin-bottom:1rem;
}

.menu table tr td span{
	position:relative!important;
	bottom:1px;
}
.menugray{
	display:none;
}

.header-course-title span {
  line-height: 28px;
}

.btn-perus {
	height:40px!important;
	
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  cursor:pointer!important;
    background-size: auto 16px !important;
  background-position: center right 10px !important;
  background-repeat: no-repeat !important;
  background-image: url("images/icon-eteen-viiva.png") !important;
}
.btn-perus span {
  line-height: 40px;
  margin-left: 16px;
color:#fff!important;
}


.btn-perus:hover {
  background-color: #61BF1A!important;
}
.btn-mini {
	height:30px!important;
  cursor:pointer!important;
  background-color: #09984A !important;
}
.btn-mini span {
  line-height: 30px;
  margin-left: 12px;
  color:#fff!important;
}
.btn-mini:hover {
  background-color: #61BF1A !important;
}

.btn-mini2 {
	height:44px!important;
  cursor:pointer!important;
  background-color: #09984A !important;
}
.btn-mini2 span {
  line-height: 20px;
  margin-left: 12px;
  color:#fff!important;
}
.btn-mini2:hover {
  background-color: #61BF1A !important;
}
.btn-state-visited, .btn-state-visited:hover,
.btn-mini.btn-state-visited, .btn-mini.btn-state-visited:hover,
.element-clicked, .element-clicked:hover,
.btn-mini.element-clicked, .btn-mini.element-clicked:hover {
     background-color: #61BF1A !important;
}
.btn-state-visited span, .btn-state-visited:hover  span,
.btn-mini.btn-state-visited span, .btn-mini.btn-state-visited:hover span,
.element-clicked span, .element-clicked:hover  span,
.btn-mini.element-clicked span, .btn-mini.element-clicked:hover span{
     color:#fff!important;
}
.btn-state-active span, .btn-state-active:hover span, .btn-state:hover span {
	color:#fff!important;
}

.btn-image {
  background-size: auto 16px !important;
  background-position: center right 10px !important;
  background-repeat: no-repeat !important;
}
.btn-image.nuoli {
  background-image: url("images/icon-eteen-viiva.png") !important;
}

.btn-image.kyna {
  background-image: url("images/icon-kyna.png") !important;
}

.btn-image.takaisin {
  background-image: url("images/icon-seuraava.png") !important;
}

.btn-icon span:last-child {
  position: absolute !important;
  font-weight: bold !important;
  top: 0;
  right: 19px;
  line-height: 40px !important;
}
.btn-mini.btn-icon span:last-child {
  line-height: 30px !important;
}
.btn-monirivi span{
    line-height: 1!important;
    margin-left: 0!important;
    padding-left: 16px!important;
    display: block!important;
    margin-top: 4px!important;
}
.word-bubble {
  box-sizing: border-box;
  position: relative;
  border: 1px solid #a9a9a9;
  background-color: #fff;
  padding: 12px;
  margin-bottom: 20px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border-radius: 20px;
}

.word-bubble::before {
  position: absolute;
  width: 0;
  height: 0;
  bottom: -40px;
  right: 38px;
  content: " ";
  border: 20px solid;
  border-color: #aeaeae transparent transparent #a9a9a9;
}

.word-bubble::after {
  position: absolute;
  width: 0;
  height: 0;
  bottom: -38px;
  right: 39px;
  content: " ";
  border: 19px solid;
  border-color: #fff transparent transparent #fff;
}
.bubble-left::before {
  left: 38px;
  border-color: #aeaeae #aeaeae transparent transparent;
}
.bubble-left::after {
  left: 39px;
  border-color: #fff #fff transparent transparent;
}
.bubble-up {
  margin-top: 40px;
}
.bubble-up::before {
  bottom: auto;
  top: -40px;
  border-color: transparent transparent #aeaeae #a9a9a9;
}
.bubble-up::after {
  bottom: auto;
  top: -38px;
  border-color: transparent transparent #fff #fff;
}
.bubble-up-left {
  margin-top: 40px;
}
.bubble-up-left::before {
  bottom: auto;
  top: -40px;
  left: 38px;
  border-color: transparent #aeaeae #aeaeae transparent;
}
.bubble-up-left::after {
  bottom: auto;
  top: -38px;
  left: 39px;
  border-color: transparent #fff #fff transparent;
}
.bubble-left-left {
  margin: 0 0 0 40px;
  min-height: 80px;
}
.bubble-left-left::before {
  bottom: auto;
  top: 20px;
  left: -40px;
  border-color: transparent #aeaeae #aeaeae transparent;
}
.bubble-left-left::after {
  bottom: auto;
  top: 21px;
  left: -38px;
  border-color: transparent #fff #fff transparent;
}
.bubble-right-right {
  margin: 0 40px 0 0;
  min-height: 80px;
}
.bubble-right-right::before {
  bottom: auto;
  top: 20px;
  right: -40px;
  border-color: transparent transparent #aeaeae #aeaeae;
}
.bubble-right-right::after {
  bottom: auto;
  top: 21px;
  right: -38px;
  border-color: transparent transparent #fff #fff;
}
/* **** Ihan sellainen perustaulukko **** */
table.taulukko-perus {
  border-collapse: collapse;
  width: 100%;
}
table.taulukko-perus th, table.taulukko-perus td {
  border: 1px solid #292929;
  padding: 2px 6px;
}
table.taulukko-perus th {
  vertical-align: bottom;
}
table.taulukko-perus td {
  text-align: right;
}
table.taulukko-perus tr :first-child {
  text-align: left;
}

/* **** Taulukko jossa on ne palkit siinä **** */
table.taulukko-palkit {
  border-collapse: collapse;
  width: 100%;
}
table.taulukko-palkit td {
  border-bottom: 1px solid #E2E2DC;
}
table.taulukko-palkit .tasatut-otsikot {
  width: 24%;
}
table.taulukko-palkit .palkin-paikka {
  position: relative;
}
table.taulukko-palkit div[class^="taulukon-palkki"] {
  background-color: #191919;
  width: 60px;
  position: absolute;
  bottom: 1px;
  left: 0;
  right: 0;
  margin: 0 auto;
  height: 100px;
}
table.taulukko-palkit div.taulukon-palkki-1 {
  height: 30%;
}
table.taulukko-palkit div.taulukon-palkki-2 {
  height: 520%;
}
table.taulukko-palkit div.taulukon-palkki-3 {
  height: 640%;
}
table.taulukko-palkit div.taulukon-palkki-4 {
  height: 230%;
}
.pikkuinfo p{
	line-height:30px!important;
}
/* **** Taulukko matemaattisia kaavoja varten **** */
table.mytable-kaavat td {
  font-size: 140%;
  font-style: italic;
}

/* **** Taulukko tekstin jäsentelyyn **** */
table.mytable-teksti , table.mytable-teksti * {
  border: 0;
  text-align: left;
}

/* **** Omien checkboxien normalisointi **** */
.myinput-custom label {
  text-decoration: none !important;
  color: #222 !important;
}
.txt_link p span:hover{
	color:#F68B1F!important;
}
.alkubox_tila p{
	height:35px!important;
	line-height:35px!important;
}
.slaideri {
  padding: 15px !important;
}
.draggable {
	z-index:500!important;
}
.draggable p{
	line-height:40px!important;
	height:40px!important;
}
.draggable span{
	display: inline-block!important;
	vertical-align: middle!important;
	line-height: normal!important;
	position: relative;
	bottom: 3px;
}
.osiolukko, .testilukko{
	display:none;
}

.toptoptop {
  
z-index: 1010 !important;

}

.tekstilaatikko, .palautelaatikko {
	padding:10px!important;
	box-sizing:border-box;
	cursor:pointer;
}
.palautelaatikko{
    box-shadow: -3px 5px 55px rgba(256,256,256,1);
    background: #ddd!important;
    border-radius: 5px;
	z-index:1005!important;
	overflow:visible;
	clip:unset!important;
}
.palautelaatikko :after {
	width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-left: 15px solid #ddd;
    border-bottom: 10px solid transparent;
    content: ' ';
    position: absolute;
    top: calc(50% - 10px);
    left: 100%;
		z-index:1111!important;
}
.palautelaatikko.vasemmalle :after {
	border-style: solid;
	border-width: 10px 15px 10px 0;
	border-color: transparent #ddd transparent transparent;
    content: ' ';
    position: absolute;
    top: calc(50% - 10px);
    left: calc(0% - 15px);
		z-index:1111!important;
}
.palautelaatikko.vasemmalle.alareuna :after {
    position: absolute;
    top: inherit;
	bottom:15px;
}
.palautelaatikko2{
    box-shadow: -3px 5px 55px rgba(256,256,256,1);
    background: #ddd!important;
    border-radius: 5px;
	z-index:1005!important;
	overflow:visible;
}
.gradient_huntu{
/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,ffffff+100&0.9+50,0+100 */
background: -moz-linear-gradient(top,  rgba(255,255,255,0.9) 0%, rgba(255,255,255,0.9) 50%, rgba(255,255,255,0) 100%)!important; /* FF3.6-15 */
background: -webkit-linear-gradient(top,  rgba(255,255,255,0.9) 0%,rgba(255,255,255,0.9) 50%,rgba(255,255,255,0) 100%)!important; /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom,  rgba(255,255,255,0.9) 0%,rgba(255,255,255,0.9) 50%,rgba(255,255,255,0) 100%)!important; /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e6ffffff', endColorstr='#00ffffff',GradientType=0 )!important; /* IE6-9 */

}


/* RAJAPINTA */

.mhs-img {
    max-width: 100%;
    width: auto;
    max-height: 500px;
    object-fit: cover;
    display: block;
}
.summarymedia img{
object-fit: cover;
max-height: 490px;
display:block;
min-width:100%;
}
.mhs-wrap, .summarymedia{
font-family: arial!important;
margin-bottom:1rem;
}
.summarymedia .caption{

    bottom: 0;
    background: #fff;
    padding: 10px 0;
    font-style:italic;
font-size:14px;
}
.summarymedia {
  position:static!important;
  height:initial!important;
}
.mhs-wrap{
/*padding-right:420px;*/
font-family:"Open Sans", sans-serif;
box-sizing:border-box;
padding-inline:100px;
}

.mhs-wrap table {
  border-collapse: collapse;
  font-size: 0.8rem;
  margin: 0px;
  width: 100%;
  color:#fff;
  box-shadow: 5px 5px 30px;
}

.mhs-wrap  thead th {
  border-top: 0.375rem solid #2c5234;
}

.mhs-wrap  td, .mhs-wrap th {
  background: #081210;
  border: 1px solid #808285;
  padding:  0.5rem;;
  vertical-align: top;
}
.mhs-wrap  th {
  background: #1e2e26;
  text-align: left;
}
.mhs-wrap  table caption {
  background: #1e2e26;
  padding:5px;
}
.gradient{
background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%)!important;
}
body{
background:#f5f5f5!important;
font-family: "Open Sans", sans-serif;
}
#pageDIV{
background:#fff;
}
.lahde{
    height: initial!important;
    background: #fff;
    padding: 40px 30px;
    top: 50%!important;
    transform: translateY(-50%);
    box-shadow:0 0 30px rgba(0,0,0,0.1);
    border-radius:5px;
}
.lahdeviite a{
   font-size: 75%;
    vertical-align: super;
  font-weight:bold;
}
.mhs-wrap ul{
padding-left:20px;
list-style: initial;
margin-bottom: 0.5rem;
}
.mhs-wrap li{
list-style: initial;
margin-bottom: 1rem;
}

.media {
    background: #f0f0f0;
    margin-bottom: 1rem;
    display: flex;
    flex-flow: wrap;
    padding:0;
}
.mhs-img {
    max-width: 100%;
    width: auto;
    max-height: 500px;
    object-fit: cover;
    display: block;
    flex: 1;
}
.media .caption {
    flex: 1 0 33%;
    margin:0;
    padding:1rem;
}